* {
  box-sizing: border-box;
  font-family: 'Open Sans';
  margin: 0px;
  padding: 0px;
}

body {

}

.cumber-background-img {
  background: linear-gradient(rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0.8)), url("./images/cumber-background.png");
  background-size: 100%;
  background-repeat: no-repeat;
  background-attachment: fixed;
}

/* HEADER */
header {
  border-bottom: 0px;
  box-shadow: 0px -20px 20px 10px black;
  display: flex;
  flex-direction: row;
  position: relative;
  width: 100%;
}

.hamburger-menu-btn {
  width: 7.7%;
  padding: 0.4% 0.9%;
  background: black;
  cursor: pointer;
}

.head {
  align-self: center;
  text-align: center;
  text-transform: uppercase;
  width: 85%;
}

/* FORM */
.player-input-form {
  align-self: center;
  display: flex;
  flex-direction: column;
  padding: 5% 20% 13%;
  width: 100%;
  height: auto;
}

.input-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin: 15% 0% 0%;
  width: 100%;
}

.player-name-container {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.player-name-container-right {
  margin-left: 16%;
}

.player-name-input {
  border: none;
  font-size: 25px;
  font-weight: 700;
  padding: 3%;
  width: 100%;
}

label {
  font-size: 25px;
  font-weight: 400;
  text-transform: uppercase;
  padding-top: 2%;
}

.play-game-btn {
  background: black;
  border: none;
  color: gray;
  cursor: not-allowed;
  padding: 1.26%;
  font-size: 25px;
  font-weight: 700;
  opacity: 0.2;
  text-transform: uppercase;
  margin-top: 12%;
  width: 100%;
}

.enable-play-game-btn {
  color: white;
  cursor: pointer;
  opacity: 1;
}

.empty-input-message {
  margin-top: 1%;
  color: red;
  font-weight: 700;
  font-size: 25px;
}

/* WELCOME INSTRUCTIONS */
.welcome-instructions {
  padding: 5% 20%;
  display: none;
  flex-direction: column;
  width: 100%;
}

.welcome-head {
  font-size: 32px;
  padding: 5%;
  text-align: center;
  text-transform: uppercase;
  width: 100%;
}

p {
  margin: 2.5% 0%;
  font-size: 24.6px;
}

/* GAME BOARD */
.game-board {
  display: none;
  flex-direction: row;
  width: 100%;
}

.stat-board {
  background: black;
  color: white;
  flex-direction: column;
  margin: 2%;
  padding: 1.3% 2% 2%;
  text-align: center;
  text-transform: uppercase;
  width: 30%;
}

.match-player-name {
  padding: 0% 0% 8%;
}

.matches {
  border-top: 2px solid white;
  border-bottom: 2px solid white;
  font-weight: 300;
  padding: 8% 11% 0%;
}

.match-count-one,
.match-count-two {
  font-size: 86px;
  font-weight: 700;
}

.game-wins {
  padding: 8%;
}

.card-table{
  display: flex;
  flex-direction: column;
  margin: 2% 0%;
  width: 100%;
}

.cards-container {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  height: 240px;
  padding: 2.5%;
  width: 100%;
}

.card {
  background: #79ABED url("./images/cumberface.png");
  background-blend-mode: luminosity;
  background-position: center;
  background-repeat: space;
  background-size: 24%;
  border: 3px solid rgba(57,62,104,1);
  border-radius: 7px;
  cursor: pointer;
  height: 100%;
  position: relative;
  transform-style: preserve-3d;
  -webkit-transition: all 600ms;
  transition: all 600ms;
  width: 17%;
}

.no-card-background {
  background: none;
}

.card:hover {
  -webkit-transform: scale(1.05);
  transform: scale(1.05);
  -webkit-transition: all 600ms;
  transition: all 600ms;
  box-shadow: 0 0 5px 5px rgba(0,0,0,.2), inset 0 0 20px rgba(57,62,104,0.7);
}

.card.is-flipped {
  transform: rotateY(180deg);
}

.card__face {
  position: absolute;
  height: 100%;
  width: 100%;
  backface-visibility: hidden;
}

.card__face--front {
  transform: rotateY(0deg);
}

.card__face--back {
  background: none;
  overflow: hidden;
  transform: rotateY(180deg);
}

.card__face--back img {
  display: flex;
  width: 100%;
  height: 100%;
}

.hidden-card {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0ms linear 600ms, opacity 600ms;
}

.game-timer {
  background: #000;
  border: 3px solid #79ABED;
  border-radius: 10px;
  color: #79ABED;
  font-size: 28px;
  margin: 1%;
  padding: 1% 3%;
  position: fixed;
  bottom: 0;
}

/* WINNER SCREEN */
.winner-screen {
  padding: 5% 20%;
  display: none;
  flex-direction: column;
  width: 100%;
}

.congrats-head {
  font-size: 32px;
  padding: 10% 0% 4%;
  text-align: center;
  text-transform: uppercase;
  width: 100%;
}

.centered-p {
  padding: 2%;
  text-align: center;
}

.bold-p {
  font-weight: 600;
}

.time {
  font-weight: 700;
}

.end-game-btns {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin: 0% 0% 6%;
  width: 100%;
}

.play-again-btn {
  background: black;
  border: none;
  color: white;
  cursor: pointer;
  padding: 1.26%;
  font-size: 25px;
  font-weight: 700;
  text-transform: uppercase;
  margin-top: 4%;
  width: 100%;
}

.right-button {
  margin-left: 16%;
}
